<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

// add scripts
function starthub_add_scripts() {
    global $warp;
    
    $js_path = WP_PLUGIN_URL .'/tt-warp7/warp/vendor/uikit/js';
    
    
    wp_enqueue_script( "comment-reply" );
    wp_enqueue_script( 'uikit',                $js_path . '/uikit.js', array('jquery'), '', true);
    wp_enqueue_script( 'uikit-autocomplete',         $js_path . '/components/autocomplete.js', array('jquery'), '', true);
    wp_enqueue_script( 'uikit-search',               $js_path . '/components/search.js', array('jquery'), '', true);

    wp_enqueue_script( 'uikit-uk-dynamic_grid',      $js_path . '/components/grid.js', array('jquery'), '', true);
    wp_enqueue_script( 'uikit-slideshow',            $js_path . '/components/slideshow.js', array('jquery'), '', true);
    wp_enqueue_script( 'uikit-slideshow-fx',         $js_path . '/components/slideshow-fx.js', array('jquery'), '', true);
    wp_enqueue_script( 'uikit-uk-sticky',            $js_path . '/components/sticky.js', array(), '', true);
    wp_enqueue_script( 'uikit-uk-lightbox',          $js_path . '/components/lightbox.js', array(), '', true);
    
    wp_enqueue_script( 'offline-coming-soon', get_template_directory_uri() . '/js/jquery.countdown.min.js', array('jquery'), '', true);
    wp_enqueue_script( 'starthub-comments', get_template_directory_uri() . '/js/comments.js', array('jquery'), '', true);
    
     if($warp['config']->get('style') == "default"){
         if ( file_exists( get_template_directory().'/js/theme.js' ) ) {
             wp_enqueue_script( 'starthub-theme-js', get_template_directory_uri() . '/js/theme.js', array(), '', true);
         }
     }else{
         if ( file_exists( get_template_directory() . '/styles/'.$warp['config']->get('style').'/js/theme.js' ) ) {
             wp_enqueue_script( 'starthub-theme-js', get_template_directory_uri() . '/styles/'.$warp['config']->get('style').'/js/theme.js', array(), '', true);
         }else{
             if ( file_exists( get_template_directory().'/js/theme.js' ) ) {
                 wp_enqueue_script( 'starthub-theme-js', get_template_directory_uri() . '/js/theme.js', array(), '', true);
             }
         }
     }

}

add_action('wp_enqueue_scripts', 'starthub_add_scripts' );

// add css
function starthub_add_css() {
     global $warp;
    
     if($warp['config']->get('style') == "default"){
        
         if ( file_exists( get_template_directory().'/css/theme.css' ) ) {
             wp_enqueue_style( 'starthub-theme', get_template_directory_uri() . '/css/theme.css');
         }
         if ( file_exists( get_template_directory().'/css/woocommerce.css' ) ) {
             wp_enqueue_style( 'starthub-woocommerce', get_template_directory_uri() . '/css/woocommerce.css');
         }
         if ( file_exists( get_template_directory().'/css/custom.css' ) ) {
             wp_enqueue_style( 'starthub-custom', get_template_directory_uri() . '/css/custom.css');
         }
        
     }else{
        
         if ( file_exists( get_template_directory() . '/styles/'.$warp['config']->get('style').'/css/theme.css' ) ) {
             wp_enqueue_style( 'starthub-theme', get_template_directory_uri() . '/styles/'.$warp['config']->get('style').'/css/theme.css');
         }else{
             if ( file_exists( get_template_directory().'/css/theme.css' ) ) {
                 wp_enqueue_style( 'starthub-theme', get_template_directory_uri() . '/css/theme.css');
             }
         }
        
         if ( file_exists( get_template_directory() . '/styles/'.$warp['config']->get('style').'/css/woocommerce.css' ) ) {
             wp_enqueue_style( 'starthub-woocommerce', get_template_directory_uri() . '/styles/'.$warp['config']->get('style').'/css/woocommerce.css');
         }else{
             if ( file_exists( get_template_directory().'/css/woocommerce.css' ) ) {
                 wp_enqueue_style( 'starthub-woocommerce', get_template_directory_uri() . '/css/woocommerce.css');
             }
         }
        
         if ( file_exists( get_template_directory() . '/styles/'.$warp['config']->get('style').'/css/custom.css' ) ) {
             wp_enqueue_style( 'starthub-custom', get_template_directory_uri() . '/styles/'.$warp['config']->get('style').'/css/custom.css');
         }else{
             if ( file_exists( get_template_directory().'/css/custom.css' ) ) {
                 wp_enqueue_style( 'starthub-custom', get_template_directory_uri() . '/css/custom.css');
             }
         }
        
     }

     $css_path = WP_PLUGIN_URL .'/tt-warp7/warp/vendor';
    
     wp_enqueue_style( 'starthub-highlight', $css_path.'/highlight/highlight.css');
}
add_action('wp_enqueue_scripts', 'starthub_add_css' );