<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

// Load TGM plugin activation
if ( ! class_exists( 'TGM_Plugin_Activation' ) ) {
   load_template( get_template_directory() . '/includes/class-tgm-plugin-activation.php', true );
}

//  TGM plugin activation
if ( ! function_exists( 'starthub_recommended_plugins' ) ) {

        function starthub_recommended_plugins() {

                $plugins = array(
                        array(
                            'name'      => esc_html__('Page Builder: KingComposer', 'start-hub'),
                            'slug'      => 'kingcomposer',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('WP Editor', 'start-hub'),
                            'slug'      => 'wp-editor',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('Contact Form 7', 'start-hub'),
                            'slug'      => 'contact-form-7',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('Woocommerce', 'start-hub'),
                            'slug'      => 'woocommerce',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('Woocommerce Dropdown Cart', 'start-hub'),
                            'slug'      => 'woocommerce-dropdown-cart',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('WP Google Maps', 'start-hub'),
                            'slug'      => 'wp-google-maps',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('Custom Category Template', 'start-hub'),
                            'slug'      => 'custom-category-template',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('Post Template', 'start-hub'),
                            'slug'      => 'wp-post-template',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('Dynamic Featured Image', 'start-hub'),
                            'slug'      => 'dynamic-featured-image',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('Recent Posts Widget Extended', 'start-hub'),
                            'slug'      => 'recent-posts-widget-extended',
                            'required'  => false,
                        ),
                        array(
                            'name'      => esc_html__('MailChimp for WordPress', 'start-hub'),
                            'slug'      => 'mailchimp-for-wp',
                            'required'  => false,
                        ),
                        // Prepaked plugins
                        array(
                            'name'      => esc_html__('Torbara Text Widget', 'start-hub'),
                            'slug'      => 'tt-text-widget',
                            'source'    => get_template_directory() . '/plugins/tt-text-widget-v.1.0.2.tar',
                            'required'  => false,
                            'version'   => '1.0.2'
                        ),
                        array(
                            'name'      => esc_html__('Envato Market', 'start-hub'),
                            'slug'      => 'envato-market',
                            'source'    => get_template_directory() . '/plugins/envato-market.1.0.0-RC2.tar',
                            'required'  => false,
                            'version'   => '1.0.0-RC2'
                        ),
                        array(
                            'name'      => esc_html__('Aklare Slider', 'start-hub'),
                            'slug'      => 'aklare-slider',
                            'source'    => get_template_directory() . '/plugins/aklare-slider.v.3.0.0.tar',
                            'required'  => false,
                            'version'   => '3.0.0'
                        ),
                        array(
                            'name'     => esc_html__('KC Pro!', 'start-hub'),
                            'slug'     => 'kc_pro',
                            'source'   => get_template_directory_uri() . '/plugins/kc_pro_v.1.8.5.tar',
                            'required' => false,
                            'version'  => '1.8.5'
                        ),
                        array(
                            'name'     => esc_html__('Start Hub Portfolio widget', 'start-hub'),
                            'slug'     => 'starthub-portfolio',
                            'source'   => get_template_directory_uri() . '/plugins/starthub-portfolio.1.0.0.tar',
                            'required' => false,
                            'version'  => '1.0.0'
                        ),
                        array(
                            'name'      => esc_html__('TT Warp 7 Framework', 'start-hub'),
                            'slug'      => 'tt-warp7',
                            'source'    => get_template_directory() . '/plugins/tt-warp.7.3.52.tar',
                            'required'  => TRUE,
                            'version'   => '7.3.52'
                        )
                );
                $config = array('is_automatic' => true);
                tgmpa($plugins, $config);

        }
}
add_action( 'tgmpa_register', 'starthub_recommended_plugins' );