<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

if ( ! isset( $content_width ) ) { $content_width = 1200; }
add_theme_support( 'automatic-feed-links' );
add_theme_support( "title-tag" );

function starthub_breadcrumbs() {
    // Ensure our parent class exists to avoid fatal error
    if (class_exists('Warp_Breadcrumbs')) {
        unregister_widget('Warp_Breadcrumbs');
        include( get_template_directory() . '/widgets/breadcrumbs.php');
        register_widget('starthub_breadcrumbs');
    }
}
starthub_breadcrumbs();

// Add image size for post featured image
function starthub_images_setup() {
    add_image_size( 'starthub-latest-post-image', 313, 210, true ); // (cropped)
}
add_action( 'after_setup_theme', 'starthub_images_setup' );

// Our hooked in function - $fields is passed via the filter!
function starthub_override_checkout_fields( $fields ) {
   $fields['billing']['billing_first_name']['placeholder'] = 'First Name';
   $fields['billing']['billing_last_name']['placeholder'] = 'Last Name ';
   $fields['billing']['billing_company']['placeholder'] = 'Company Name';
   $fields['billing']['billing_city']['placeholder'] = 'Town / City';
   $fields['billing']['billing_postcode']['placeholder'] = 'Postcode / ZIP';
   $fields['billing']['billing_state']['placeholder'] = 'State / County';
   $fields['billing']['billing_email']['placeholder'] = 'Email Address';
   $fields['billing']['billing_phone']['placeholder'] = 'Phone';
   return $fields;
}
// Hook in
add_filter( 'woocommerce_checkout_fields' , 'starthub_override_checkout_fields' );