<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

$output 		= $title = $wrap_class = $taxonomy = $thumbnail = $show_button = $css = '';
$readmore_text 	= esc_html('Read more', 'start-hub');
$image_size 	= 'full';
$wrp_el_classes = apply_filters( 'kc-el-class', $atts );

extract($atts);

$orderby 		= isset( $order_by ) ? $order_by : 'ID';
$order 			= isset( $order_list ) ? $order_list : 'ASC';

$post_taxonomy_data = explode( ',', $post_taxonomy );
$taxonomy_term 	= array();
$post_type 		= 'post';

if( isset($post_taxonomy_data) ){

    foreach( $post_taxonomy_data as $post_taxonomy ){

	$post_taxonomy_tmp 	= explode( ':', $post_taxonomy );
	$post_type 			= $post_taxonomy_tmp[0];

	if( isset( $post_taxonomy_tmp[1] ) )
            $taxonomy_term[] = $post_taxonomy_tmp[1];
		
    }

}

$taxonomy_objects 		= get_object_taxonomies( $post_type, 'objects' );
$taxonomy 			= key( $taxonomy_objects );

$args = array(
	'post_type' 		=> $post_type,
	'posts_per_page' 	=> $number_post,
	'orderby'        	=> $orderby,
	'order' 		=> $order,
);

if( count( $taxonomy_term ) )
{

    $tax_query = array(
	'relation' => 'OR'
    );

    foreach( $taxonomy_term as $term ){

        $tax_query[] = array(
                'taxonomy' => $taxonomy,
                'field'    => 'slug',
                'terms'    => $term,
        );

    }

    $args['tax_query'] = $tax_query;

}

$the_query = new WP_Query( $args );

$element_attribute = array();

$el_classess = array(
	'kc-owl-post-carousel',
	'owl-carousel',
	'list-'. $post_type,
	$taxonomy,
	$wrap_class
);

if( isset($atts['nav_style']) && $nav_style !='' ){
    $el_classess[] = 'owl-nav-' . $nav_style;
}

$owl_option = array(
    'items' 		=> $items_number,
    'speed' 		=> intval( $speed ),
    'navigation'            => $navigation,
    'pagination'         	=> $pagination,
    'autoheight'        	=> $auto_height,
    'autoplay' 		=> $auto_play
);

$owl_option = strtolower( json_encode( $owl_option ) );

$element_attribute[] = 'class="'. esc_attr( implode(' ', $el_classess) ) .'"';
$element_attribute[] = "data-owl-options='$owl_option'";

ob_start();

if ( $the_query->have_posts() ) {

	global $post;

	if( !empty($title) )
            echo '<h3 class="list-post-title">'. $title .'</h3>';

	echo '<div '. implode(' ', $element_attribute) .'>';

	while ( $the_query->have_posts() ) {

            $the_query->the_post();
            ?>
                <div class="item list-item post-<?php echo esc_attr( $post->ID ); ?>">

                    <div class="post-content">
                        <div class="uk-article-meta">
                            <?php
                              if ( has_post_format( array( 'chat', 'status' ) ) )
                                $format_prefix = esc_attr_x( '%1$s on %2$s', '1: post format name. 2: date', 'start-hub' );
                              else
                                $format_prefix = '%2$s';

                              $date = sprintf( '<span class="date"><time class="entry-date" datetime="%1$s">%2$s</time></span>',
                                esc_attr( get_the_date( 'c' ) ),
                                esc_html( sprintf( $format_prefix, get_post_format_string( get_post_format() ), get_the_date() ) )
                              );

                              if( !empty( $show_date ) && strtolower( $show_date ) == 'yes' )
                                echo '<span class="tm-post-date">'. $date.'</span>';

                                echo '<span class="tm-post-author">Written by <a href="'.esc_attr(get_author_posts_url(get_the_author_meta('ID'))).'" title="'.esc_html(get_the_author()).'">'.esc_html(get_the_author()).'</a></span>';

                            ?>
                        </div>
                        <?php
                            echo '<div class="tm-post-image">';
                                echo get_the_post_thumbnail($post->ID, $image_size);
                            echo '</div>';
                            echo '<h3 class="tm-post-title"><a href="'. esc_attr( get_permalink( $post->ID ) ). '">'. esc_html(get_the_title()) .'</a></h3>';
                        ?>
    
                        <?php if( !empty($show_button) && strtolower($show_button) == 'yes' ): ?>
                                <div class="footer-button">
                                        <a class="read-more" href="<?php echo esc_attr( get_permalink( $post->ID ) ); ?>"><?php echo esc_html( $readmore_text ); ?></a>
                                </div>
                        <?php endif; ?>
                    </div>

		</div>
		<?php
	}

    echo '</div>';

} else {

    echo esc_html('Carousel Post: No posts found', 'start-hub');

}

wp_reset_postdata();

$output = ob_get_clean();

echo '<div class="kc-carousel-post '. esc_attr( implode(' ', $wrp_el_classes) ) .'">'. $output .'</div>';

kc_js_callback( 'kc_front.owl_slider' );
