<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

?>
<article id="item-<?php the_ID(); ?>" <?php post_class('uk-article'); ?> data-permalink="<?php esc_attr(the_permalink()); ?>">
    <h1 class="uk-article-title"><a href="<?php esc_url(the_permalink()) ?>" title="<?php esc_html(the_title_attribute()); ?>"><?php esc_html(the_title()); ?></a></h1>

    <p class="uk-article-meta">
        <?php
            $date = '<time datetime="'.get_the_date('Y-m-d').'">'.get_the_date().'</time>';
            printf(__('Written by %s on %s. Posted in %s', 'start-hub'), '<a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.get_the_author().'">'.get_the_author().'</a>', $date, get_the_category_list(', '));
        ?>
    </p>

    <?php if (has_post_thumbnail()) : ?>
        <?php
        $width = get_option('thumbnail_size_w'); //get the width of the thumbnail setting
        $height = get_option('thumbnail_size_h'); //get the height of the thumbnail setting
        ?>
        <a href="<?php esc_attr(the_permalink()) ?>" class="uk-align-left" title="<?php esc_attr(the_title_attribute()); ?>"><?php the_post_thumbnail(array($width, $height), array('class' => '')); ?></a>
    <?php endif; ?>
    
    <?php the_content(''); ?>

    <ul class="uk-subnav uk-subnav-line">
        <li><a href="<?php esc_attr(the_permalink()) ?>" title="<?php esc_attr(the_title_attribute()); ?>"><?php esc_html_e('Continue Reading', 'start-hub'); ?></a></li>
        <?php if(comments_open() || get_comments_number()) : ?>
            <li><?php comments_popup_link(esc_html__('No Comments', 'start-hub'), esc_html__('1 Comment', 'start-hub'), esc_html__('% Comments', 'start-hub'), "", ""); ?></li>
        <?php endif; ?>
    </ul>

    <?php edit_post_link(esc_html__('Edit this post.', 'start-hub'), '<p><i class="uk-icon-pencil"></i> ','</p>'); ?>

</article>