<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

?>
<?php if (comments_open() || have_comments()) : ?>

    <div id="comments" class="uk-margin">


        <?php if (have_comments()) : ?>

            <h3><?php printf(esc_html__('Comments (%s)', 'start-hub'), get_comments_number()); ?></h3>

            <?php

                $classes = array("level1");

                if (get_option('comment_registration') && !is_user_logged_in()) {
                    $classes[] = "no-response";
                }

                if (get_option('thread_comments')) {
                    $classes[] = "nested";
                }

            ?>

            <ul class="uk-comment-list">
            <?php

                // single comment
                function starthub_comment($comment, $args, $depth)
                {
                    global $user_identity;

                    $GLOBALS['comment'] = $comment;

                    $_GET['replytocom'] = get_comment_ID();
                    ?>
                    <li>
                        <article id="comment-<?php comment_ID(); ?>" class="uk-comment <?php echo ($comment->user_id > 0) ? 'uk-comment-primary' : '';?>">

                            <header class="uk-comment-header">

                                <p class="uk-comment-meta">
                                    <span><time datetime="<?php echo get_comment_date('Y-m-d'); ?>"><?php printf(esc_html__('%1$s at %2$s', 'start-hub'), get_comment_date(), get_comment_time()) ?></time></span>
                                    <span><a class="permalink" href="<?php echo htmlspecialchars(get_comment_link($comment->comment_ID)) ?>">#</a></span>
                                    <?php echo edit_comment_link(esc_html__('Edit', 'start-hub')); ?>
                                    <span class="uk-comment-title"><?php echo get_comment_author_link(); ?></span>
                                </p>

                            </header>

                            <div class="uk-comment-body uk-panel uk-panel-box uk-flex uk-flex-top">

                                <?php echo get_avatar($comment, $size='100', null, 'Avatar'); ?>
                                
                                <div class="uk-comment-body-inner uk-clearfix">
                                
                                  <?php comment_text(); ?>

                                  <?php if (comments_open() && $args['max_depth'] > $depth) : ?>
                                  <p class="js-reply"><a href="#" rel="<?php esc_attr(comment_ID()); ?>"><?php echo esc_html('Reply', 'start-hub'); ?></a></p>
                                  <?php endif; ?>

                                  <?php if ($comment->comment_approved == '0') : ?>
                                  <div class="uk-alert"><?php esc_html_e('Your comment is awaiting moderation.', 'start-hub'); ?></div>
                                  <?php endif; ?>

                                </div>
                            </div>

                        </article>
                    <?php
                    unset($_GET['replytocom']);
                }

                wp_list_comments('type=all&callback=starthub_comment');
            ?>
            </ul>

            <?php echo $this->render("_pagination", array("type"=>"comments")); ?>

        <?php endif; ?>


        <div id="respond">

            <h3 class="uk-h3"><?php (comments_open()) ? comment_form_title(esc_html__('Leave a comment', 'start-hub')) : esc_html_e('Comments are closed', 'start-hub'); ?></h3>

            <?php if (comments_open()) : ?>

                <?php if (get_option('comment_registration') && !is_user_logged_in()) : ?>
                    <div class="uk-alert uk-alert-warning"><?php printf(__('You must be <a href="%s">logged in</a> to post a comment.', 'start-hub'), wp_login_url(get_permalink())); ?></div>
                <?php else : ?>

                    <form class="uk-form uk-form-horizontal uk-comment-form" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">
                    
                        <div class="uk-grid uk-grid-collapse">
                        
                          <?php if (is_user_logged_in()) : ?>

                              <?php global $user_identity; ?>

                              <p><?php printf(__('Logged in as <a href="%s">%s</a>.', 'start-hub'), get_option('siteurl').'/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php esc_html_e('Log out of this account', 'start-hub'); ?>"><?php esc_html_e('Log out &raquo;', 'start-hub'); ?></a></p>

                          <?php else : ?>

                              <?php $req = get_option('require_name_email');?>
                              
                              <div class="uk-width-1-2 tm-name-wrapper <?php if ($req) echo "required"; ?>">
                                  <input type="text" name="author" placeholder="<?php esc_html_e('Name', 'start-hub'); ?> <?php if ($req) echo "*"; ?>" value="<?php echo (isset($comment_author) ? esc_attr($comment_author) : ''); ?>" <?php if ($req) echo "aria-required='true'"; ?>>
                              </div>

                              <div class="uk-width-1-2  <?php if ($req) echo "required"; ?>">
                                  <input type="text" name="email" placeholder="<?php esc_html_e('E-mail', 'start-hub'); ?> <?php if ($req) echo "*"; ?>" value="<?php echo (isset($comment_author_email) ? esc_attr($comment_author_email) : ''); ?>" <?php if ($req) echo "aria-required='true'"; ?>>
                              </div>

                              <div class="tm-website-wrapper uk-width-1-1">
                                  <input type="text" name="url" placeholder="<?php esc_html_e('Website', 'start-hub'); ?>" value="<?php echo (isset($comment_author_url) ? esc_attr($comment_author_url) : ''); ?>">
                              </div>

                          <?php endif; ?>

                          <div class="tm-comment-wrapper uk-width-1-1">
                              <textarea name="comment" id="comment" cols="80" rows="5" tabindex="4"></textarea>
                          </div>

                          <div class="tm-comment-actions">
                              <button class="uk-button uk-button-primary" name="submit" type="submit" id="submit" tabindex="5"><?php esc_html_e('Submit', 'start-hub'); ?></button>
                              <?php comment_id_fields(); ?>
                          </div>
                          <?php global $post; do_action('comment_form', $post->ID); ?>

                        </div>
                        
                    </form>

                <?php endif; ?>

            <?php endif; ?>

        </div>


    </div>   

<?php endif;
