<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

?>

<!DOCTYPE HTML>
<html lang="<?php echo $this['config']->get('language'); ?>" dir="<?php echo $this['config']->get('direction'); ?>" class="uk-height-1-1 tm-error">

<head>
    <?php echo $this['template']->render('head'); ?>
    <?php wp_head(); ?>
</head>

<body class="uk-height-1-1">
    <nav class="tm-navbar uk-navbar">
        <div class="tm-header-bottom">
            <div class="uk-container uk-container-center">
                <div class="tm-header-bottom-left<?php if ( $this['widgets']->count('social-block') ) : ?> with-socials<?php endif; ?>">
              
                    <?php if ( $this['widgets']->count('logo') ) : ?>
                        <a class="tm-logo" href="<?php echo esc_url($this['config']->get('site_url')); ?>"><?php echo $this['widgets']->render('logo'); ?></a>
                    <?php else : ?>
                        <a class="tm-logo" href="<?php echo esc_url($this['config']->get('site_url')); ?>"><span class="color-1"><?php echo esc_html($this['config']->get('logo_text', 'start-hub')); ?></span></a>
                    <?php endif; ?>
                
                    <?php if ($this['widgets']->count('offcanvas')) : ?>
                        <a href="#offcanvas" class="uk-navbar-toggle uk-visible-medium uk-visible-small" data-uk-offcanvas></a>
                    <?php endif; ?>
                
                    <?php if ($this['widgets']->count('menu')) : ?>
                        <?php echo $this['widgets']->render('menu'); ?>
                    <?php endif; ?>
              
                </div>
              
                <?php if ( $this['widgets']->count('social-block') ) : ?> 
                     <div class="tm-header-bottom-right">
                        <?php echo $this['widgets']->render('social-block'); ?>
                    </div>
                <?php endif; ?>
              
            </div>
        </div>
    </nav>
    <div class="uk-container uk-container-center uk-height-1-1 tm-error-desc">
        <div class="uk-height-1-1 uk-vertical-align">  
            <div class="uk-vertical-align-middle uk-container-center">
                <h1 class="tm-error-headline"><?php echo esc_html($error); ?></h1>
                <h2 class="tm-error-subtitle"><span class="tm-label"><?php echo esc_html__('Error:', 'start-hub'); ?></span><?php echo esc_html($title); ?></h2>
                <a class="uk-button uk-button-large tm-error-button" href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__('Back to home page', 'start-hub'); ?></a>
            </div>
        </div>
    </div>
  
    <?php echo $this->render('footer'); ?>
    <?php if ($this['widgets']->count('offcanvas')) : ?>
	<div id="offcanvas" class="uk-offcanvas">
            <div class="uk-offcanvas-bar"><?php echo $this['widgets']->render('offcanvas'); ?></div>
	</div>
    <?php endif; ?>
    
    <?php wp_footer(); ?>
  
</body>
</html>