<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */
?>
<!DOCTYPE HTML>
<html lang="<?php echo esc_attr($this['config']->get('language')); ?>" dir="<?php echo esc_attr($this['config']->get('direction')); ?>" class="uk-height-1-1 tm-offline tm-offline-wrapper">
<head>
    <?php wp_head(); ?>
</head>
<body class="uk-height-1-1 tm-offline-page">   
    <div class="tm-header-top">
        <div class="uk-container uk-container-center uk-text-center">
          <div class="tm-logo-wrapper">
            <a href="<?php echo esc_url($this['config']->get('site_url')); ?>" class="tm-logo" title="<?php echo esc_html__('Start Hub', 'start-hub'); ?>"><?php echo esc_html__('Start', 'start-hub'); ?> <span><?php echo esc_html__('hub', 'start-hub'); ?></span></a>
          </div>
        </div>
    </div>
    <div class="tm-offline-block uk-height-1-1 uk-flex uk-flex-center uk-flex-middle uk-flex-column">
        <div class="tm-offline-inner uk-position-relative">
          <div class="uk-container uk-container-center">
            <h1><?php echo esc_html__('under maintance', 'start-hub'); ?></h1>
            <div class="subtitle"><?php echo esc_html__('visit our pages in social pages', 'start-hub'); ?></div>
          </div>
        </div>
        <?php 
        $fb_link = $this['config']->get('social_links.Facebook.social_url');
        $twitter_link = $this['config']->get('social_links.Twitter.social_url');
        $linkedin_link = $this['config']->get('social_links.Instagram.social_url');
        $gplus_link = $this['config']->get('social_links.Google+.social_url');
        $youtube_link = $this['config']->get('social_links.Youtube.social_url');
        if(isset($fb_link) || isset($twitter_link) || isset($linkedin_link) || isset($gplus_link) || isset($youtube_link)) :
      ?>
        <div class="tm-block tm-block-social">
          <div class="uk-grid uk-grid-collapse">
              <?php foreach ($this['config']->get('social_links') as $key => $soc) : ?>
                <?php switch ($key) {
                  case 'Facebook':
                    $soc_classname = 'facebook';
                    break;
                  case 'Twitter':
                    $soc_classname = 'twitter';
                    break;
                  case 'Google+':
                    $soc_classname = 'g-plus';
                    break;
                  case 'Linkedin':
                    $soc_classname = 'linkedin';
                    break;
                  case 'Youtube':
                    $soc_classname = 'youtube';
                    break;
                } ?>
                <?php if (trim($soc["social_url"])) : ?>
                    <div class="uk-width-1-5"><a href="<?php echo esc_url($soc["social_url"]); ?>" class="tm-social-link <?php echo esc_html($soc_classname); ?>" target="_blank"><?php echo esc_html($key); ?></a></div>
                <?php endif; ?>
              <?php endforeach; ?>
          </div>
        </div>
      <?php endif; ?>
    </div>

    <?php wp_footer(); ?>
</body>
</html>