<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */
?>
 <?php if (have_posts()) : ?>
    <?php while (have_posts()) : the_post(); ?>

    <article class="uk-article" data-permalink="<?php the_permalink(); ?>">

        <h1 class="uk-article-title"><?php the_title(); ?></h1>
        
        <p class="uk-article-meta">
            <?php
                $date = '<time datetime="'.get_the_date('Y-m-d').'">'.get_the_date().'</time>';
                echo '<span class="tm-post-date">'. $date.'</span>';
            ?>
            <span class="tm-post-author">
                <?php printf(__('Written by %s', 'start-hub'), '<a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.get_the_author().'">'.get_the_author().'</a>'); ?>
            </span>
            <span class="tm-post-categories">
                <?php printf(__('Posted in %s', 'start-hub'), get_the_category_list(', ')); ?>
            </span>
        </p>

        <div class="uk-post-content uk-clearfix">
        
            <?php if (has_post_thumbnail()) : ?>
                <?php the_post_thumbnail('', array('class' => 'uk-align-medium-left')); ?>
            <?php endif; ?>
            
            <?php the_content(''); ?>

            <?php wp_link_pages(); ?>

            <?php the_tags('<p class="tm-tags">'.esc_html__('Tags: ', 'start-hub'), ' ', '</p>'); ?>

            <?php edit_post_link(__('Edit this post.', 'start-hub'), '<p><i class="uk-icon-pencil"></i> ','</p>'); ?>

            <?php if (pings_open()) : ?>
            <p><?php printf(__('<a href="%s">Trackback</a> from your site.', 'start-hub'), get_trackback_url()); ?></p>
            <?php endif; ?>

        </div>
        
        <h3><?php echo esc_html__('Post author', 'start-hub'); ?></h3>
        
        <div class="uk-panel uk-panel-box tm-post-author-block uk-flex uk-flex-middle">
            
            <div class="uk-align-medium-left tm-author-photo">

                <?php echo get_avatar(get_the_author_meta('user_email')); ?>

            </div>

            <h2 class="uk-h4 uk-margin-top-remove tm-author-name"><?php the_author(); ?></h2>

            <div class="uk-margin"><?php the_author_meta('description'); ?></div>

        </div>

        <?php comments_template(); ?>

        <?php
            $prev = get_previous_post();
            $next = get_next_post();
        ?>

        <?php if ($this['config']->get('post_nav', 0) && ($prev || $next)) : ?>
        <ul class="uk-pagination">
            <?php if ($next) : ?>
            <li class="uk-pagination-next">
                <a href="<?php echo esc_attr(get_permalink($next->ID)) ?>" title="<?php echo esc_html__('Next', 'start-hub'); ?>">
                    <?php echo esc_html__('Next', 'start-hub'); ?>
                    <i class="uk-icon-arrow-right"></i>
                </a>
            </li>
            <?php endif; ?>
            <?php if ($prev) : ?>
            <li class="uk-pagination-previous">
                <a href="<?php echo esc_attr(get_permalink($prev->ID)) ?>" title="<?php echo esc_html__('Prev', 'start-hub'); ?>">
                    <i class="uk-icon-arrow-left"></i>
                    <?php echo esc_html__('Prev', 'start-hub'); ?>
                </a>
            </li>
            <?php endif; ?>
        </ul>
        <?php endif; ?>

    </article>

    <?php endwhile; ?>
 <?php endif; ?>
