<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

// get theme configuration
include($this['path']->path('layouts:theme.config.php'));

// Offline redirect
if($offline):
    echo $this['template']->render('offline.'.$this['config']->get('offline', 'default').'');
elseif (array_key_exists('tt-page', $_GET)):// Used only for demonstration
    echo $this['template']->render('offline.'.filter_input(INPUT_GET, 'tt-page').'');
else: // Site OnLine ?>
<!DOCTYPE HTML>
<html lang="<?php echo $this['config']->get('language'); ?>" dir="<?php echo $this['config']->get('direction'); ?>">

  <head>
    <?php echo $this['template']->render('head'); ?>
    <?php wp_head(); ?>
  </head>

  <body class="<?php echo $this['config']->get('body_classes'); ?>">

    <?php if ($this['config']->get('preloader', 'default') != '0') : ?>
        <?php echo $this['template']->render('preloader.'.$this['config']->get('preloader', 'default').''); ?>
    <?php endif; ?>
      
    <?php if ($this['widgets']->count('toolbar-l + toolbar-r')) : // toolbar-l and toolbar-r module positions ?>
        <div class="tm-toolbar uk-clearfix uk-hidden-small">
            <div class="uk-container uk-container-center">

                <?php if ($this['widgets']->count('toolbar-l')) : ?>
                    <div class="uk-float-left"><?php echo $this['widgets']->render('toolbar-l'); ?></div>
                <?php endif; ?>

                <?php if ($this['widgets']->count('toolbar-r')) : ?>
                    <div class="uk-float-right"><?php echo $this['widgets']->render('toolbar-r'); ?></div>
                <?php endif; ?>

            </div>
        </div>
    <?php endif; ?>

    <header class="tm-header<?php echo ($this['config']->get('navbar_absolute', false) ? ' tm-transparent-header' : ''); ?>">
        
        <?php if ($this['widgets']->count('headerbar') || $this['widgets']->count('search')) : ?>
            <div class="tm-header-top">
                <div class="uk-container uk-container-center">

                    <?php if ($this['widgets']->count('headerbar')) : ?>
                        <div class="tm-headerbar-wrapper uk-float-left">
                            <div class="tm-headerbar-info"><?php echo $this['widgets']->render('headerbar'); ?></div>
                        </div>
                    <?php endif; ?>

                    <?php if ($this['widgets']->count('search')) : ?>
                        <div class="uk-navbar-flip">
                            <div class="uk-navbar-content"><?php echo $this['widgets']->render('search'); ?></div>
                        </div>
                    <?php endif; ?>

                </div>
            </div>
        <?php endif; ?>
          
        <nav class="tm-navbar uk-navbar">
            <div class="tm-header-bottom" <?php echo ($this['config']->get('navbar_sticky', false) ? ' data-uk-sticky="{top:-100, animation: \'uk-animation-slide-top\'}"' : ''); ?> >
                <div class="uk-container uk-container-center">
                    <div class="tm-header-bottom-left<?php if ( $this['widgets']->count('social-block') ) : ?> with-socials<?php endif; ?>">

                        <?php if ( $this['widgets']->count('logo') ) : ?>
                            <a class="tm-logo" href="<?php echo esc_url($this['config']->get('site_url')); ?>"><?php echo $this['widgets']->render('logo'); ?></a>
                        <?php else : ?>
                            <a class="tm-logo" href="<?php echo esc_url($this['config']->get('site_url')); ?>"><span class="color-1"><?php echo esc_html($this['config']->get('logo_text', 'start-hub')); ?></span></a>
                        <?php endif; ?>

                        <?php if ($this['widgets']->count('offcanvas')) : ?>
                            <a href="#offcanvas" class="uk-navbar-toggle uk-visible-medium uk-visible-small" data-uk-offcanvas></a>
                        <?php endif; ?>

                        <?php if ($this['widgets']->count('menu')) : ?>
                            <?php echo $this['widgets']->render('menu'); ?>
                        <?php endif; ?>

                    </div>

                    <?php if ( $this['widgets']->count('social-block') ) : ?> 
                       <div class="tm-header-bottom-right">
                          <?php echo $this['widgets']->render('social-block'); ?>
                       </div>
                    <?php endif; ?>

                 </div>
            </div>
       
            <?php if ($this['widgets']->count('breadcrumbs')) : ?>
                <?php echo $this['widgets']->render('breadcrumbs'); ?>
            <?php endif; ?>
      
        </nav>
      
    </header>
    
    <?php if ($this['widgets']->count('fullscreen')) : ?>
        <div class="tm-fullscreen uk-position-relative">
            <?php echo $this['widgets']->render('fullscreen'); ?>
        </div>
    <?php endif; ?>
    
    <?php if ($this['widgets']->count('top-a')) : ?>
      <section id="tm-top-a" class="<?php echo esc_attr($grid_classes['top-a']); echo esc_attr($display_classes['top-a']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <?php echo $this['widgets']->render('top-a', array('layout'=>$this['config']->get('grid.top-a.layout'))); ?>
        </section>
    <?php endif; ?>

    <?php if ($this['widgets']->count('top-b')) : ?>
      <section id="tm-top-b" class="<?php echo esc_attr($grid_classes['top-b']); echo esc_attr($display_classes['top-b']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <?php echo $this['widgets']->render('top-b', array('layout'=>$this['config']->get('grid.top-b.layout'))); ?>
        </section>
    <?php endif; ?>
    
    <?php if ($this['widgets']->count('top-c')) : ?>
      <section id="tm-top-c" class="<?php echo esc_attr($grid_classes['top-c']); echo esc_attr($display_classes['top-c']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <?php echo $this['widgets']->render('top-c', array('layout'=>$this['config']->get('grid.top-c.layout'))); ?>
        </section>
    <?php endif; ?>
    
    <?php if ($this['widgets']->count('top-d')) : ?>
      <section id="tm-top-d" class="<?php echo esc_attr($grid_classes['top-d']); echo esc_attr($display_classes['top-d']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <?php echo $this['widgets']->render('top-d', array('layout'=>$this['config']->get('grid.top-d.layout'))); ?>
        </section>
    <?php endif; ?>
 
    <?php if ($this['widgets']->count('top-e')) : ?>
      <section id="tm-top-e" class="<?php echo esc_attr($grid_classes['top-e']); echo esc_attr($display_classes['top-e']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <?php echo $this['widgets']->render('top-e', array('layout'=>$this['config']->get('grid.top-e.layout'))); ?>
        </section>
    <?php endif; ?>

    <?php if ($this['widgets']->count('main-top + main-bottom + sidebar-a + sidebar-b') || $this['config']->get('system_output', true)) : ?>
        <div class="uk-container uk-container-center<?php echo (($this['widgets']->count('breadcrumbs')) ? ' with-breadcrumbs' : ''); ?>">
            <div class="tm-middle uk-grid" data-uk-grid-match data-uk-grid-margin>   
                <?php if ($this['widgets']->count('main-top + main-bottom') || $this['config']->get('system_output', true)) : ?>
                <div class="<?php echo esc_attr($columns['main']['class']) ?>">

                      <?php if ($this['widgets']->count('main-top')) : ?>
                      <section class="<?php echo esc_attr($grid_classes['main-top']); echo esc_attr($display_classes['main-top']); echo " ".esc_attr(implode(" ", $classes['block.main-top'])); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
                          <?php echo $this['widgets']->render('main-top', array('layout'=>$this['config']->get('grid.main-top.layout'))); ?>
                      </section>
                      <?php endif; ?>

                      <?php if ($this['config']->get('system_output', true)) : ?>
                      <main class="tm-content uk-position-relative">
                          <?php echo $this['template']->render('content'); ?>
                      </main>
                      <?php endif; ?>

                      <?php if ($this['widgets']->count('main-bottom')) : ?>
                      <section class="<?php echo esc_attr($grid_classes['main-bottom']); echo esc_attr($display_classes['main-bottom']); echo " ".esc_attr(implode(" ", $classes['block.main-bottom'])); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
                          <?php echo $this['widgets']->render('main-bottom', array('layout'=>$this['config']->get('grid.main-bottom.layout'))); ?>
                      </section>
                      <?php endif; ?>

                  </div>
                <?php endif; ?>

                <?php foreach($columns as $name => &$column) : ?>
                    <?php if ($name != 'main' && $this['widgets']->count($name)) : ?>
                <aside class="<?php echo esc_attr($column['class']) ?>" <?php if (!$this['config']->get('system_output', true)){ echo 'style="left:auto;"';} ?>><?php echo $this['widgets']->render($name) ?></aside>
                    <?php endif ?>
                <?php endforeach ?>
            </div>
        </div>
    <?php endif; ?>

    <?php if ($this['widgets']->count('bottom-a')) : ?>
        <section id="tm-bottom-a" class="<?php echo esc_attr($grid_classes['bottom-a']); echo esc_attr($display_classes['bottom-a']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <h3 class="uk-hidden">&nbsp;</h3>
            <?php echo $this['widgets']->render('bottom-a', array('layout'=>$this['config']->get('grid.bottom-a.layout'))); ?>
        </section>
    <?php endif; ?>

    <?php if ($this['widgets']->count('bottom-b')) : ?>
        <section id="tm-bottom-b" class="<?php echo esc_attr($grid_classes['bottom-b']); echo esc_attr($display_classes['bottom-b']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <h3 class="uk-hidden">&nbsp;</h3>
            <?php echo $this['widgets']->render('bottom-b', array('layout'=>$this['config']->get('grid.bottom-b.layout'))); ?>
        </section>
    <?php endif; ?>

    <?php if ($this['widgets']->count('bottom-c')) : ?>
        <section id="tm-bottom-c" class="<?php echo esc_attr($grid_classes['bottom-c']); echo esc_attr($display_classes['bottom-c']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <h3 class="uk-hidden">&nbsp;</h3>
            <?php echo $this['widgets']->render('bottom-c', array('layout'=>$this['config']->get('grid.bottom-c.layout'))); ?>
        </section>
    <?php endif; ?>

    <?php if ($this['widgets']->count('bottom-d')) : ?>
        <section id="tm-bottom-d" class="<?php echo esc_attr($grid_classes['bottom-d']); echo esc_attr($display_classes['bottom-d']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <h3 class="uk-hidden">&nbsp;</h3>
            <?php echo $this['widgets']->render('bottom-d', array('layout'=>$this['config']->get('grid.bottom-d.layout'))); ?>
        </section>
    <?php endif; ?>
 
    <?php if ($this['widgets']->count('bottom-e')) : ?>
        <section id="tm-bottom-e" class="<?php echo esc_attr($grid_classes['bottom-e']); echo esc_attr($display_classes['bottom-e']); ?>" data-uk-grid-match="{target:'> div > .uk-panel'}" data-uk-grid-margin>
            <h3 class="uk-hidden">&nbsp;</h3>
            <?php echo $this['widgets']->render('bottom-e', array('layout'=>$this['config']->get('grid.bottom-e.layout'))); ?>
        </section>
    <?php endif; ?>

    <?php if ($this['widgets']->count('social')) : ?>
        <div class="tm-block tm-block-social">
            <div class="uk-container uk-container-center">
                <div class="uk-panel uk-social">
                    <?php echo $this['widgets']->render('social'); ?>
                </div>
            </div>
        </div>
    <?php else : ?>
        <?php 
          $fb_link = $this['config']->get('social_links.Facebook.social_url');
          $twitter_link = $this['config']->get('social_links.Twitter.social_url');
          $linkedin_link = $this['config']->get('social_links.Instagram.social_url');
          $gplus_link = $this['config']->get('social_links.Google+.social_url');
          $youtube_link = $this['config']->get('social_links.Youtube.social_url');
          if(isset($fb_link) || isset($twitter_link) || isset($linkedin_link) || isset($gplus_link) || isset($youtube_link)) :
        ?>
            <div class="tm-block tm-block-social">
              <div class="uk-grid uk-grid-collapse">
                  <?php foreach ($this['config']->get('social_links') as $key => $soc) : ?>
                    <?php switch ($key) {
                      case 'Facebook':
                        $soc_classname = 'facebook';
                        break;
                      case 'Twitter':
                        $soc_classname = 'twitter';
                        break;
                      case 'Google+':
                        $soc_classname = 'g-plus';
                        break;
                      case 'Linkedin':
                        $soc_classname = 'linkedin';
                        break;
                      case 'Youtube':
                        $soc_classname = 'youtube';
                        break;
                    } ?>
                    <?php if (trim($soc["social_url"])) : ?>
                        <div class="uk-width-1-5"><a href="<?php echo esc_url($soc["social_url"]); ?>" class="tm-social-link <?php echo esc_html($soc_classname); ?>" target="_blank"><?php echo esc_html($key); ?></a></div>
                    <?php endif; ?>
                  <?php endforeach; ?>
              </div>
            </div>
        <?php endif; ?>
    <?php endif; ?>

    <?php if ($this['widgets']->count('footer + debug') || $this['config']->get('warp_branding', true) || $this['config']->get('totop_scroller', true)) : ?>
        <footer id="tm-footer" class="tm-footer">
            <?php if ($this['config']->get('totop_scroller', true)) : ?>
                <a class="tm-totop-scroller" data-uk-smooth-scroll href="#"></a>
            <?php endif; ?>
            <?php if ($this['widgets']->count('footer')): ?>
                <div class="tm-footer-top-block">
                  <div class="uk-container uk-container-center">
                    <div class="uk-grid uk-grid-large">
                      <?php echo $this['widgets']->render('footer', array('layout'=>$this['config']->get('grid.footer.layout'))); ?>
                    </div>
                  </div>
                </div>
            <?php endif; ?>
            <div class="tm-footer-bottom-block">
                <div class="uk-container uk-container-center">
                    <?php if ($this['widgets']->count('footer-bottom')): ?>
                        <div class="uk-grid uk-grid-large">
                            <?php echo $this['widgets']->render('footer-bottom', array('layout'=>$this['config']->get('grid.footer-bottom.layout'))); ?>
                        </div>
                    <?php else : ?>
                        <div><?php $this->output('warp_branding'); ?></div>
                    <?php endif; ?>
                </div>
            </div>
            <?php echo $this['widgets']->render('debug'); ?>

        </footer>
    <?php endif; ?>

    <?php echo $this->render('footer'); ?>

    <?php if ($this['widgets']->count('offcanvas')) : ?>
	<div id="offcanvas" class="uk-offcanvas">
            <div class="uk-offcanvas-bar"><?php echo $this['widgets']->render('offcanvas'); ?></div>
	</div>
    <?php endif; ?>

    <?php wp_footer(); ?>
</body>
</html>
<?php endif; ?>