<?php
/**
 * Add starthub admin options.
 *
 * @package Admin
 */

starthub_add_smart_action( 'admin_init', 'starthub_do_register_term_meta' );

/**
 * Add starthub term meta.
 *
 * @since 1.0.0
 */
function starthub_do_register_term_meta() {

	// Get layout option without default for the count.
	$options = starthub_get_layouts_for_options();

	// Stop here if there is less than two layouts options.
	if ( count( $options ) < 2 )
		return;

	$fields = array(
		array(
			'id' => 'starthub_layout',
			'label' => esc_attr_x( 'Layout', 'term meta', 'start-hub' ),
			'type' => 'radio',
			'default' => 'default_fallback',
			'options' => starthub_get_layouts_for_options( true )
		)
	);

	starthub_register_term_meta( $fields, array( 'category', 'post_tag' ), 'start-hub' );

}


starthub_add_smart_action( 'admin_init', 'starthub_do_register_post_meta' );

/**
 * Add starthub post meta.
 *
 * @since 1.0.0
 */
function starthub_do_register_post_meta() {

	// Get layout option without default for the count.
	$options = starthub_get_layouts_for_options();

	// Stop here if there is less than two layouts options.
	if ( count( $options ) < 2 )
		return;

	$fields = array(
		array(
			'id' => 'starthub_layout',
			'label' => esc_attr_x( 'Layout', 'post meta', 'start-hub' ),
			'type' => 'radio',
			'default' => 'default_fallback',
			'options' => starthub_get_layouts_for_options( true )
		)
	);

	starthub_register_post_meta( $fields, array( 'post', 'page' ), 'start-hub', array( 'title' => esc_html__( 'Post Options', 'start-hub' ) ) );

}