<?php
/**
 * starthub admin page.
 *
 * @ignore
 */
final class starthub_tt_Admin {

	/**
	 * Constructor.
	 */
	public function __construct() {

		add_action( 'admin_menu', array( $this, 'admin_menu' ), 150 );
		add_action( 'admin_init', array( $this, 'register' ), 20 );

	}


	/**
	 * Add starthub menu.
	 */
	public function admin_menu() {

		add_theme_page( esc_html__( 'Settings', 'start-hub' ), esc_html__( 'Settings', 'start-hub' ), 'manage_options', 'starthub_settings', array( $this, 'display_screen' ) );

	}


	/**
	 * starthub options page content.
	 */
	public function display_screen() {

		echo '<div class="wrap">';

			echo '<h2>' . esc_html__( 'starthub Settings', 'start-hub' ) . esc_html__( 'Version ', 'start-hub' ) . starthub_VERSION . '</h2>';

			echo starthub_options( 'starthub_settings' );

		echo '</div>';

	}


	/**
	 * Register options.
	 */
	public function register() {

		global $wp_meta_boxes;

		$fields = array(
			array(
				'id' => 'starthub_dev_mode',
				'checkbox_label' => esc_html__( 'Enable development mode', 'start-hub' ),
				'type' => 'checkbox',
				'description' => esc_html__( 'This option should be enabled while your website is in development.', 'start-hub' )
			)
		);

		starthub_register_options( $fields, 'starthub_settings', 'mode_options', array(
			'title' => esc_html__( 'Mode options', 'start-hub' ),
			'context' => starthub_get( 'starthub_settings', $wp_meta_boxes ) ? 'column' : 'normal' // Check for other starthub boxes.
		) );

	}

}

new starthub_tt_Admin();
