<?php
/**
 * @package API\Fields
 */

starthub_add_smart_action( 'starthub_field_wrap_prepend_markup', 'starthub_field_label' );

/**
 * Echo field label.
 *
 * @since 1.0.0
 *
 * @param array $field {
 *      Array of data.
 *
 *      @type string $label The field label. Default false.
 * }
 */
function starthub_field_label( $field ) {

	if ( !$label = starthub_get( 'label', $field ) )
		return;

	echo starthub_open_markup( 'starthub_field_label[_' . $field['id'] . ']', 'label' );

		echo esc_html($field['label']);

	echo starthub_close_markup( 'starthub_field_label[_' . $field['id'] . ']', 'label' );

}


starthub_add_smart_action( 'starthub_field_wrap_append_markup', 'starthub_field_description' );

/**
 * Echo field description.
 *
 * @since 1.0.0
 *
 * @param array $field {
 *      Array of data.
 *
 *      @type string $description The field description. The description can be truncated using <!--more-->
 *            					  as a delimiter. Default false.
 * }
 */
function starthub_field_description( $field ) {

	if ( !$description = starthub_get( 'description', $field ) )
		return;

	echo starthub_open_markup( 'starthub_field_description[_' . $field['id'] . ']', 'div', array( 'class' => 'bs-field-description' ) );

		if ( preg_match( '#<!--more-->#', $description, $matches ) )
			list( $description, $extended ) = explode( $matches[0], $description, 2 );

		echo esc_html($description);

	echo starthub_close_markup( 'starthub_field_description[_' . $field['id'] . ']', 'div' );

}