<?php
/**
 *
 * Load components.
 *
 * @ignore
 *
 * @package starthub
 */

// Stop here if the API was already loaded.
if ( defined( 'starthub_API' ) )
	return;

// Declare starthub API.
define( 'starthub_API', true );

// Mode.
if ( !defined( 'SCRIPT_DEBUG' ) )
	define( 'SCRIPT_DEBUG', false );

// Assets.
define( 'starthub_MIN_CSS', SCRIPT_DEBUG ? '' : '.min' );
define( 'starthub_MIN_JS', SCRIPT_DEBUG ? '' : '.min' );

// Path.
if ( !defined( 'starthub_API_PATH' ) )
	define( 'starthub_API_PATH', wp_normalize_path( trailingslashit( get_template_directory().'/lib/api/' ) ) );

define( 'starthub_API_ADMIN_PATH', starthub_API_PATH . 'admin/' );

// Load dependencies here as it is used further down.
load_template( starthub_API_PATH . 'utilities/functions.php', true );
load_template( starthub_API_PATH . 'utilities/deprecated.php', true );
load_template( starthub_API_PATH . 'components.php', true );

// Url.
if ( !defined( 'starthub_API_URL' ) )
	define( 'starthub_API_URL', starthub_path_to_url( starthub_API_PATH ) );

// Backwards compatibility constants.
define( 'starthub_API_COMPONENTS_PATH', starthub_API_PATH );
define( 'starthub_API_COMPONENTS_ADMIN_PATH', starthub_API_PATH . 'admin/' );
define( 'starthub_API_COMPONENTS_URL', starthub_API_URL );