<?php
/**
 * Registers starthub's default widget areas.
 *
 * @package Render\Widgets
 */

starthub_add_smart_action( 'widgets_init', 'starthub_do_register_widget_areas', 5 );

/**
 * Register starthub's default widget areas.
 *
 * @since 1.0.0
 */
function starthub_do_register_widget_areas() {

	// Keep primary sidebar first for default widget asignment.
	starthub_register_widget_area( array(
		'name' => esc_html__( 'sidebar-a', 'start-hub' ),
		'id' => 'sidebar-a'
	) );

	starthub_register_widget_area( array(
		'name' => esc_html__( 'Sidebar Secondary', 'start-hub' ),
		'id' => 'sidebar_secondary'
	) );

	if ( current_theme_supports( 'offcanvas-menu' ) )
		starthub_register_widget_area( array(
			'name' => esc_html__( 'Off-Canvas Menu', 'start-hub' ),
			'id' => 'offcanvas_menu',
			'starthub_type' => 'offcanvas',
		) );

}


/**
 * Call register sidebar.
 *
 * Because WordPress.org checker don't understand that we are using register_sidebar properly,
 * we have to add this useless call which only has to be declared once.
 *
 * @since 1.0.0
 *
 * @ignore
 */
add_action( 'widgets_init', 'starthub_register_widget_area' );