<?php
/**
 * Echo footer fragments.
 *
 * @package Fragments\Footer
 */

starthub_add_smart_action( 'starthub_footer', 'starthub_footer_content' );

/**
 * Echo the footer content.
 *
 * @since 1.0.0
 */
function starthub_footer_content() {

	echo starthub_open_markup( 'starthub_footer_credit', 'div', array( 'class' => 'uk-clearfix uk-text-small uk-text-muted' ) );

		echo starthub_open_markup( 'starthub_footer_credit_left', 'span', array(
			'class' => 'uk-align-medium-left uk-margin-small-bottom'
		) );

			echo starthub_output( 'starthub_footer_credit_text', sprintf(
				esc_html__( '&#x000A9; %1$s - %2$s. All rights reserved.', 'start-hub' ),
				date( "Y" ),
				get_bloginfo( 'name' )
			) );

		echo starthub_close_markup( 'starthub_footer_credit_left', 'span' );

		$framework_link = starthub_open_markup( 'starthub_footer_credit_framework_link', 'b' );

			$framework_link .= starthub_output( 'starthub_footer_credit_framework_link_text', 'start-hub' );

		$framework_link .= starthub_close_markup( 'starthub_footer_credit_framework_link', 'b' );

		echo starthub_open_markup( 'starthub_footer_credit_right', 'span', array(
			'class' => 'uk-align-medium-right uk-margin-bottom-remove'
		) );

			echo starthub_output( 'starthub_footer_credit_right_text', sprintf(
				esc_html__( '%1$s theme for WordPress.', 'start-hub' ),
				$framework_link
			) );

		echo starthub_close_markup( 'starthub_footer_credit_right', 'span' );


	echo starthub_close_markup( 'starthub_footer_credit', 'div' );

}