<?php
/**
 * Echo the widget area and widget loop structural markup. It also calls the widget area and widget loop
 * action hooks.
 *
 * @package Structure\Widget_Area
 */

// This includes everything added to wp hooks before the widgets.
echo starthub_get_widget_area( 'before_widgets' );

	if ( starthub_get_widget_area( 'starthub_type' ) == 'grid' )
		echo starthub_open_markup( 'starthub_widget_area_grid' . starthub_tt_widget_area_subfilters(), 'div', array( 'class' => 'uk-grid', 'data-uk-grid-margin' => '' ) );

	if ( starthub_get_widget_area( 'starthub_type' ) == 'offcanvas' ) {

		echo starthub_open_markup( 'starthub_widget_area_offcanvas_wrap' . starthub_tt_widget_area_subfilters(), 'div', array(
			'id' => starthub_get_widget_area( 'id' ), // Automatically escaped.
			'class' => 'uk-offcanvas'
		) );

			echo starthub_open_markup( 'starthub_widget_area_offcanvas_bar' . starthub_tt_widget_area_subfilters(), 'div', array( 'class' => 'uk-offcanvas-bar' ) );

	}

		// Widgets.
		if ( starthub_have_widgets() ) :

			/**
			 * Fires before widgets loop.
			 *
			 * This hook only fires if widgets exist.
			 *
			 * @since 1.0.0
			 */
			do_action( 'starthub_before_widgets_loop' );

				while ( starthub_have_widgets() ) : starthub_setup_widget();

					if ( starthub_get_widget_area( 'starthub_type' ) == 'grid' )
						echo starthub_open_markup( 'starthub_widget_grid' . starthub_tt_widget_subfilters(), 'div', starthub_widget_shortcodes( 'class=uk-width-medium-1-{count}' ) );

						echo starthub_open_markup( 'starthub_widget_panel' . starthub_tt_widget_subfilters(), 'div', starthub_widget_shortcodes( 'class=tm-widget uk-panel widget_{type} {id}' ) );

							/**
							 * Fires in each widget panel structural HTML.
							 *
							 * @since 1.0.0
							 */
							do_action( 'starthub_widget' );

						echo starthub_close_markup( 'starthub_widget_panel' . starthub_tt_widget_subfilters(), 'div' );

					if ( starthub_get_widget_area( 'starthub_type' ) == 'grid' )
						echo starthub_close_markup( 'starthub_widget_grid' . starthub_tt_widget_subfilters(), 'div' );

				endwhile;

			/**
			 * Fires after the widgets loop.
			 *
			 * This hook only fires if widgets exist.
			 *
			 * @since 1.0.0
			 */
			do_action( 'starthub_after_widgets_loop' );

		else :

			/**
			 * Fires if no widgets exist.
			 *
			 * @since 1.0.0
			 */
			do_action( 'starthub_no_widget' );

		endif;

	if ( starthub_get_widget_area( 'starthub_type' ) == 'offcanvas' ) {

			echo starthub_close_markup( 'starthub_widget_area_offcanvas_bar' . starthub_tt_widget_area_subfilters(), 'div' );

		echo starthub_close_markup( 'starthub_widget_area_offcanvas_wrap' . starthub_tt_widget_area_subfilters(), 'div' );

	}

	if ( starthub_get_widget_area( 'starthub_type' ) == 'grid' )
		echo starthub_close_markup( 'starthub_widget_area_grid' . starthub_tt_widget_area_subfilters(), 'div' );

// This includes everything added to wp hooks after the widgets.
echo starthub_get_widget_area( 'after_widgets' );