<?php
/*
Template Name: StartHub Blog List
*/

/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */
?>

<?php get_header(); ?>
    
<?php if (have_posts()) : ?>
    <div class="uk-grid tm-blog-list" data-uk-grid-match="" data-uk-grid-margin="">
        <?php while (have_posts()) : the_post(); ?>
            <div class="uk-width-1-1">
                <article <?php post_class('uk-article'); ?> data-permalink="<?php the_permalink(); ?>">
                    
                    <p class="uk-article-meta">
                        <?php
                            $date = '<time datetime="'.get_the_date('Y-m-d').'">'.get_the_date().'</time>';
                            printf(__('Written by %s on %s. Posted in %s', 'start-hub'), '<a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.get_the_author().'">'.get_the_author().'</a>', $date, get_the_category_list(', '));
                        ?>
                    </p>
                    <div class="uk-grid" data-uk-grid-match="" data-uk-grid-margin="">
                        <a class="uk-width-medium-1-3" href="<?php esc_url(the_permalink()) ?>" title="<?php esc_attr(the_title()); ?>"><?php the_post_thumbnail('starthub-latest-post-image', array('class' => 'fullwidth')); ?></a>
                        
                        <div class="uk-width-medium-2-3">
                            <h2 class="uk-blog-article-title">
                                <a href="<?php esc_url(the_permalink()) ?>" title="<?php esc_attr(the_title()); ?>"><?php esc_attr(the_title()); ?></a>
                            </h2>
                            <p><?php echo get_the_content(''); ?></p>
                             <a href="<?php esc_url(the_permalink()) ?>" title="<?php esc_attr(the_title_attribute()); ?>" class="tm-more-link"><?php esc_html_e('Read More', 'start-hub'); ?></a>
                        </div>
                        
                    </div>
                </article>
            </div>
        <?php endwhile; ?>
    </div>

<?php endif; ?>

<?php get_template_part('layouts/_pagination'); ?>

<?php get_footer();