<?php
/*
Template Name: StartHub Portfolio
*/

/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */
?>

<?php get_header(); ?>

<?php
$posts = get_posts();
if ($posts) {
  $tags_arr = array();
  foreach($posts as $post) {
    $post_tags = wp_get_post_tags($post->ID);
    foreach($post_tags as $tag) {
      $tag = $tag->name;
      if(!in_array($tag, $tags_arr)) {
        array_push($tags_arr, $tag);
      }
    }
  } ?>
  <ul id="portfolio-sort" class="uk-subnav">
    <li class="uk-active" data-uk-filter=""><a href="#">All</a></li>
    <?php foreach($tags_arr as $tag) { ?>
      <li data-uk-filter="filter-<?php echo esc_html($tag); ?>"><a href="#"><?php echo esc_html($tag); ?></a></li>
    <?php } ?>
  </ul>
<?php 
}
?>
<?php  if (have_posts()) : ?>
    <div data-uk-grid="{gutter: 16, controls: '#portfolio-sort'}">
        <?php while (have_posts()) : the_post(); ?>
            <?php 
                $tag_names = wp_get_post_tags( $post->ID, array( 'fields' => 'names' ) );
                $tagged = implode(", filter-", $tag_names);
            ?>
            <div class="uk-width-small-1-2 uk-width-medium-1-4 tm-portfolio-block" data-uk-filter="filter-<?php echo esc_html($tagged); ?>">
                <article <?php post_class('uk-article'); ?> data-permalink="<?php esc_url(the_permalink()); ?>">
                    <a class="tm-post-image" href="<?php esc_url(the_permalink()); ?>" title="<?php esc_attr(the_title()); ?>"><?php the_post_thumbnail('original'); ?></a>
                    <a href="<?php ( the_post_thumbnail_url( 'full' )); ?>" data-uk-lightbox="{group:'tm-porfolio'}" class="tm-portfolio-icon">&nbsp;</a>
                </article>
            </div>
        <?php endwhile; ?>
    </div>

<?php endif; ?>

<?php get_template_part('layouts/_pagination'); ?>

<?php get_footer();