<?php
/*
Template Name: StartHub Portfolio Item
*/

/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */
?>
<?php get_header(); ?>

 <?php if (have_posts()) : ?>
    <?php while (have_posts()) : the_post(); ?>

    <article class="uk-article" data-permalink="<?php the_permalink(); ?>">

        <div class="uk-grid">
            <div class="tm-portfolio-img uk-width-medium-4-10">
              <?php if (has_post_thumbnail()) : ?>
                <p class="tm-portfolio-featured">
                    <a href="<?php ( the_post_thumbnail_url( 'full' )); ?>" data-uk-lightbox class="tm-portfolio-icon">&nbsp;</a><?php the_post_thumbnail(); ?>
                </p>
              <?php endif; ?>
              
              <?php if( class_exists('Dynamic_Featured_Image') ) :
                global $dynamic_featured_image;
                $featured_images = $dynamic_featured_image->get_featured_images( );
                foreach( $featured_images as $featured_image ) {
                  echo '<p class="tm-portfolio-media"><a href="'.$featured_image['full'].'" data-uk-lightbox class="tm-portfolio-icon">&nbsp;</a><img src="'.$featured_image['full'].'" alt="" /></p>';
                }
              endif; ?>
            </div>
        
            <div class="tm-portfolio-text uk-width-medium-6-10">
              <h1 class="uk-article-title"><?php the_title(); ?></h1>
              <p class="uk-portfolio-meta">
                  <span class="tm-post-categories">
                      <?php printf(__('Category: %s', 'start-hub'), get_the_category_list(', ')); ?>
                  </span>
                  <span class="tm-post-author">
                      <?php printf(__('Author: %s', 'start-hub'), '<a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.get_the_author().'">'.get_the_author().'</a>'); ?>
                  </span>
                  <?php
                      $date = '<time datetime="'.get_the_date('Y-m-d').'">'.get_the_date().'</time>';
                      echo '<span class="tm-post-date">Date: '. $date.'</span>';
                  ?>
              </p>
              
              <?php the_content(''); ?>
          
            </div>
        </div>

        <?php wp_link_pages(); ?>

        <?php edit_post_link(__('Edit this post.', 'start-hub'), '<p><i class="uk-icon-pencil"></i> ','</p>'); ?>

        <?php if (pings_open()) : ?>
        <p><?php printf(__('<a href="%s">Trackback</a> from your site.', 'start-hub'), get_trackback_url()); ?></p>
        <?php endif; ?>

        <?php comments_template(); ?>

        <?php
            $prev = get_previous_post();
            $next = get_next_post();
        ?>

        <ul class="uk-portfolio-pagination uk-clearfix">
            <?php if ($next) : ?>
            <li class="uk-pagination-next">
                <a href="<?php echo esc_url(get_permalink($next->ID)) ?>" title="<?php echo esc_html__('Next', 'start-hub'); ?>" class="uk-button uk-button-large">
                    <?php echo esc_html__('Next project', 'start-hub'); ?>
                </a>
            </li>
            <?php endif; ?>
            <?php if ($prev) : ?>
            <li class="uk-pagination-previous">
                <a href="<?php echo esc_url(get_permalink($prev->ID)) ?>" title="<?php echo esc_html__('Prev', 'start-hub'); ?>" class="uk-button uk-button-large">
                    <?php echo esc_html__('Prev project', 'start-hub'); ?>
                </a>
            </li>
            <?php endif; ?>
        </ul>

    </article>

    <?php endwhile; ?>
 <?php endif; ?>

 <?php get_footer(); ?>
