<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

use Warp\Warp;
use Warp\Autoload\ClassLoader;
use Warp\Config\Repository;

if (!function_exists('starthub_warp_init')) {
    function starthub_warp_init () {
        global $warp;
        
        if (!$warp) {
            
            load_template(TT_WARP_PLUGIN_DIR.'warp/src/Warp/Autoload/ClassLoader.php', true);

            // set loader
            $loader = new ClassLoader;
            $loader->add('Warp', TT_WARP_PLUGIN_DIR.'warp/src');
            $loader->add('Warp\Wordpress', TT_WARP_PLUGIN_DIR.'warp/systems/wordpress/src');
            $loader->register();

            // set config
            $config = new Repository;
            $config->load(TT_WARP_PLUGIN_DIR.'warp/config.php');
            $config->load(TT_WARP_PLUGIN_DIR.'warp/systems/wordpress/config.php');
            $config->load(TT_WARP_PLUGIN_DIR.'/config.php');

            // set warp
            $warp = new Warp(compact('loader', 'config'));
            $warp['system']->init();
        }
        return $warp;
    }
}

return starthub_warp_init();